%global gem_name httpclient

%if 0%{?rhel} <= 6 && 0%{?fedora} <= 16
%global rubyabi 1.8

%if 0%{?rhel}
%global gem_dir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gem_instdir %{gem_dir}/gems/%{gem_name}-%{version}
%global gem_libdir %{gem_instdir}/lib
%global gem_cache %{gem_dir}/cache/%{gem_name}-%{version}.gem
%global gem_spec %{gem_dir}/specifications/%%{gem_name}-%{version}.gemspec
%global gem_docdir %{gem_dir}/doc/%{gem_name}-%{version}
%endif

%else
%global rubyabi 1.9.1
%endif

Summary:        HTTP Client interface for ruby
Name:           rubygem-%{gem_name}
Version:        2.3.2
Release:        1%{?dist}
Group:          Development/Languages
License:        GPLv2
URL:            http://devcentral.f5.com/
Source0:        http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
Requires:       ruby(abi) = %{rubyabi}
Requires:       rubygems
%if 0%{?fedora}
BuildRequires: rubygems-devel
%else
BuildRequires: rubygems
%endif
BuildRequires:  rubygem(rake)
BuildRequires:  rubygem(rdoc)
BuildArch:      noarch
Provides:       rubygem(%{gem_name}) = %{version}

%description
an interface to HTTP Client for the ruby language

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
mkdir -p ./%{gem_dir}
gem build %{gem_name}.gemspec

gem install -V \
        --local \
        --install-dir ./%{gem_dir} \
        --bindir ./%{_bindir} \
        --force \
        %{gem_name}-%{version}.gem

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/

# Remove backup files
find %{buildroot}/%{gem_instdir} -type f -name "*~" -delete

# Fix shebangs
find %{buildroot}/%{gem_instdir} -type f -exec sed -r -e 's"^#!(.*)/usr/bin/env ruby"#!/usr/bin/ruby"' {} \;

# Fix anything executable that does not have a shebang
for file in `find %{buildroot}/%{gem_instdir} -type f -perm /a+x`; do
    [ -z "`head -n 1 $file | grep \"^#!/\"`" ] && chmod -v 644 $file
done

# Find files with a shebang that do not have executable permissions
for file in `find %{buildroot}/%{gem_instdir} -type f ! -perm /a+x -name "*.rb"`; do
    [ ! -z "`head -n 1 $file | grep \"^#!/\"`" ] && chmod -v 755 $file
done

# Find files that have non-standard-executable-perm
find %{buildroot}/%{gem_instdir} -type f -perm /g+wx -exec chmod -v g-w {} \;

# Find files that are not readable
find %{buildroot}/%{gem_instdir} -type f ! -perm /go+r -exec chmod -v go+r {} \;

%files
%doc %{gem_docdir}
%doc %{gem_instdir}/README.txt
%doc %{gem_instdir}/sample
%doc %{gem_instdir}/test
%dir %{gem_instdir}
%{gem_instdir}/bin/
%{gem_instdir}/lib/
%{gem_dir}/cache/%{gem_name}-%{version}.gem
%{gem_dir}/specifications/%{gem_name}-%{version}.gemspec


%changelog
* Mon Jan 07 2013 Troy Dawson <tdawson@redhat.com> - 2.3.2-1
- Update to 2.3.2
- Change spec to Fedora ruby standards

* Mon Sep 19 2011 Scott Henson <shenson@redhat.com> - 2.2.1-1
- Initial Packaging

